petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCRegisterAll

Registers all of the preconditioners in the PC package.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCRegisterAll(void)

Not Collective Many br

### Input Parameter

path -the library where the routines are to be found (optional) Many br

Many br

### Keywords

PC, register, all

### See Also

PCRegister(), PCRegisterDestroy()

Level:advanced
Location:src/ksp/pc/interface/pcregis.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages